# Methods

`-preferencePane`
  Return an NSPreferencePane instance that manages the plugin's preferences.

### preferencePane

Return an NSPreferencePane instance that manages the plugin's preferences.

>     - (NSPreferencePane *) preferencePane

method result
  The preference pane.

##### Discussion

Your plug-in should put the controls for its preferences in this preference pane.
The size of the preference pane's view should be 354 pixels by 289 pixels. This is because that's all the available space right now. We haven't yet figured out what to do if there are more options than fit in that space. You should set the springs of the view and its subviews under the assumption that it can be resized horizontally and vertically to any size.

© The Growl Project (Last Updated May 14, 2005)